[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible Debian: Set a maximum time for curl(1) to upload to buildinfo.debian.net
Holger Levsen
holger at layer-acht.org
Sun Oct 23 08:39:31 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 5ff83e33d197716cb48e5b686cd741510a203f9a
Author: Chris Lamb <lamby at debian.org>
Date: Sun Oct 23 09:50:24 2016 +0200
reproducible Debian: Set a maximum time for curl(1) to upload to buildinfo.debian.net
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_build.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 154b86c..7c29ce9 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -780,8 +780,8 @@ share_buildinfo() {
mail -s "buildinfo from $NODE1" submit at buildinfo.kfreebsd.eu < ./b1/$BUILDINFO || true
mail -s "buildinfo from $NODE2" submit at buildinfo.kfreebsd.eu < ./b2/$BUILDINFO || true
# buildinfo.debian.net administred by Chris Lamb <chris at chris-lamb.co.uk>
- curl -X PUT --data-binary @- "http://buildinfo.debian.net/api/submit?node=$NODE1" < ./b1/$BUILDINFO || true
- curl -X PUT --data-binary @- "http://buildinfo.debian.net/api/submit?node=$NODE2" < ./b2/$BUILDINFO || true
+ curl -X PUT --max-time 30 --data-binary @- "http://buildinfo.debian.net/api/submit?node=$NODE1" < ./b1/$BUILDINFO || true
+ curl -X PUT --max-time 30 --data-binary @- "http://buildinfo.debian.net/api/submit?node=$NODE2" < ./b2/$BUILDINFO || true
echo "$(date -u) - done submitting .buildinfo files."
}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list